Bug 378081 - Gnome fails to detect any sound devices. [NEEDINFO]
Gnome fails to detect any sound devices.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 10:59 EST by Ivo Sarak
Modified: 2009-01-09 00:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:10:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bnocera: needinfo? (ivo)


Attachments (Terms of Use)
The system-config-soundcard log file (55.94 KB, text/plain)
2007-11-12 10:59 EST, Ivo Sarak
no flags Details

  None (edit)
Description Ivo Sarak 2007-11-12 10:59:59 EST
Description of problem:
Gnome does not detect any sound devices. It is likely a pure Gnome issue because
system-config-soundcard does detect the Creative Labs SB Live! just fine and can
produce test sounds with it.

Version-Release number of selected component (if applicable):

[root@sarmax ~]# rpm -q gnome-audio
gnome-audio-2.0.0-4
[root@sarmax ~]# rpm -q system-config-soundcard
system-config-soundcard-2.0.6-11.fc8
[root@sarmax ~]# uname -a
Linux sarmax 2.6.23.1-42.fc8 #1 SMP Tue Oct 30 13:05:10 EDT 2007 i686 athlon
i386 GNU/Linux
[root@sarmax ~]# 

How reproducible:
Always.

Steps to Reproduce:
1. In Gnome session select System->Preferences->Hardware->Sound and press Test
button placed behind "Sound Playback" text; 
2. Run system-config-soundcard and press Sound Test button;
  
Actual results:
1. I will get this error message "audiotestsrc wave=sine freq=512 ! audioconvert
! audioresample ! gconfaudiosink: Internal GStreamer error: state change failed.
 Please file a bug at http://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer."
2. Guitar will start playing.

Expected results:
Gnome manager should produce no errors and should be able to play music or
whatever sound events.

Additional info:
If this has anything to do with this issue then this computer has 2 soundcards:
[root@sarmax ~]# lspci
00:00.0 Host bridge: ALi Corporation M1697 HTT Host Bridge
00:01.0 PCI bridge: ALi Corporation PCI Express Root Port
00:02.0 PCI bridge: ALi Corporation PCI Express Root Port
00:03.0 PCI bridge: ALi Corporation PCI Express Root Port
00:04.0 PCI bridge: ALi Corporation PCI Express Root Port
00:11.0 PCI bridge: ALi Corporation M5249 HTT to PCI Bridge
00:12.0 Ethernet controller: ALi Corporation ULi 1689,1573 integrated ethernet.
(rev 60)
00:13.0 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:13.1 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:13.2 USB Controller: ALi Corporation USB 1.1 Controller (rev 03)
00:13.3 USB Controller: ALi Corporation USB 2.0 Controller (rev 01)
00:15.0 ISA bridge: ALi Corporation PCI to LPC Controller (rev 10)
00:15.1 Bridge: ALi Corporation M7101 Power Management Controller [PMU]
00:16.0 IDE interface: ALi Corporation M5229 IDE (rev c7)
00:16.1 IDE interface: ALi Corporation ULi M5288 SATA
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM
Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron]
Miscellaneous Control
01:00.0 VGA compatible controller: ATI Technologies Inc Unknown device 9589
01:00.1 Audio device: ATI Technologies Inc Unknown device aa08
05:0b.0 Multimedia audio controller: Creative Labs SB Live! EMU10k1 (rev 05)
05:0b.1 Input device controller: Creative Labs SB Live! Game Port (rev 05)
05:0c.0 SCSI storage controller: Adaptec AIC-7892B U160/m (rev 02)
[root@sarmax ~]# 

The unknown audio device is a sound device on the ATI HD2600PRO video card.
Comment 1 Ivo Sarak 2007-11-12 10:59:59 EST
Created attachment 255381 [details]
The system-config-soundcard log file
Comment 2 Leo Canale 2007-11-12 11:46:12 EST
I have same error.I'm sure this a duplicate of these:
https://bugzilla.redhat.com/show_bug.cgi?id=292201
and
https://bugzilla.redhat.com/show_bug.cgi?id=370821
So add me to the cc list!
Thanks.
Comment 3 Ivo Sarak 2007-12-23 10:49:36 EST
Are there any news about this issue?
Comment 4 Bastien Nocera 2008-01-17 11:58:03 EST
What's the output of:
ps aux | grep pulse
and of:
rpm -qa "*gst*"

Please make sure your machine is fully updated to the latest Fedora 8.
Comment 5 Bug Zapper 2008-11-26 03:21:44 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:10:51 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.